<!DOCTYPE html>
<html lang="en">
<head>
  <title>Geolocation Monitoring</title>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <script src="./js/libs/jquery-1.9.0/jquery.min.js"></script>
  <script src="./js/libs/modernizr-2.6.2/modernizr.min.js"></script>
  <script>
    $(document).ready(function() {
      if (!Modernizr.geolocation) {
         alert("Your browser dosen't support Geolocation");
         return;
      }

      navigator.geolocation.watchPosition(showCoordinates, showErrors, 
      { maximumAge: 1000, timeout:300000, enableHighAccuracy:true });

      function showCoordinates(position) {
        var latitude = position.coords.latitude;
        var longitude = position.coords.longitude;
        $("#result").append("<p>LATITUD: " + latitude + "</p>");
        $("#result").append("<p>LONGITUD: " + longitude + "</p>");
      }

      function showErrors(error) {
        switch(error.code) {
          case error.PERMISSION_DENIED:
            alert("Permition denied");
            break;
          case error.POSITION_UNAVAILABLE:
            alert("Postion unavailable");
            break;
          case error.TIMEOUT:
            alert("Time for waiting reached");
            break;
         default:
            alert("Geolocation Error unknown: ", error.code);
        }
      }
    });
  </script>
</head>
<body>
  <h1>Geolocation Monitoring</h1>
  <div id="result"></div>
</body>
</html>